# Get Inventory GET https://api.shipbob.com/2.0/inventory/{inventoryId} Reference: https://developer.shipbob.com/api/inventory/get-inventory ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/inventory/{inventoryId}: get: operationId: get-inventory summary: |2 Get Inventory tags: - subpackage_inventory parameters: - name: inventoryId in: path description: '' required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Inventories.InventoryResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '500': description: Internal Server Error content: application/json: schema: description: Any type '503': description: Service Unavailable content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Inventories.DimensionsResponse: type: object properties: height: type: number format: double is_locked: type: boolean length: type: number format: double unit: type: - string - 'null' validated: type: boolean width: type: number format: double title: Inventories.DimensionsResponse Inventories.HazmatResponse: type: object properties: is_hazmat: type: boolean validated: type: boolean title: Inventories.HazmatResponse Inventories.VariantResponse: type: object properties: hazmat: $ref: '#/components/schemas/Inventories.HazmatResponse' is_active: type: boolean is_bundle: type: boolean is_digital: type: boolean title: Inventories.VariantResponse Inventories.WeightResponse: type: object properties: unit: type: - string - 'null' value: type: number format: double title: Inventories.WeightResponse Inventories.InventoryResponse: type: object properties: barcode: type: - string - 'null' dimensions: $ref: '#/components/schemas/Inventories.DimensionsResponse' inventory_id: type: integer is_case: type: boolean is_lot: type: boolean name: type: - string - 'null' sku: type: - string - 'null' user_id: type: integer variant: $ref: '#/components/schemas/Inventories.VariantResponse' weight: $ref: '#/components/schemas/Inventories.WeightResponse' title: Inventories.InventoryResponse Inventories.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Inventories.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Inventory_getInventory_example import requests url = "https://api.shipbob.com/2.0/inventory/inventoryId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventory_getInventory_example const url = 'https://api.shipbob.com/2.0/inventory/inventoryId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventory_getInventory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/inventory/inventoryId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventory_getInventory_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/inventory/inventoryId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventory_getInventory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/inventory/inventoryId") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventory_getInventory_example request('GET', 'https://api.shipbob.com/2.0/inventory/inventoryId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventory_getInventory_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/inventory/inventoryId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventory_getInventory_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/inventory/inventoryId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```